Please, pay attantion that now you are in public part of FAQ-Area. Register and find more FAQ-articles in Personal Cabinet.

FAQ#700564: Модуль обновления UpdateV4SP2 не обновляет справочники

Keywords: Модуль обновления UpdateV4SP2 не обновляет справочники Created: 2011-01-24 15:44:48
Linked Articles: Changed: 2011-01-24 15:44:48
Attachment: Update.7z (796.5 KBytes)

Problem:

Есть модуль обновления UPDATEV4SP2. Есть установленная  Вертикаль V4 SP1.
В Настройке параметров указано подключение к базе Base_1.
В СУБД есть ещё одна база Вертикали Base_2.

Модулем обновления хотим обновить Base_2:
1. В диалоге выбора базы настраиваем подключение к Base_2
2. Далее видим группы и пользователей из базы Base_2. Выбираем пользователя, вводим пароль.
3. Переходим к обновлению. Жмем 'Обновить'.
И получаем ошибку:

/*
Ошибка соединения с UniReference:
Пользователь не определен
------------------------------------------------
*/

Если в реестре не прописана БД, то получаем ошибку:

/*
Ошибка соединения с UniReference:
Ошибка чтения данных из реестра.
------------------------------------------------
*/

Solution:

Распакуйте при помощи 7Zip файл "C:\Program Files\ASCON\UniRefer 4.0\Utils\Update\UpdateV4SP2.exe" в любую папку.
Распакуйте архив из вложения в эту же папку.
Запустите Update.exe и обновите.